Bug 18332 - internet programs leave too many connections open
internet programs leave too many connections open
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
7.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
: 23712 24790 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-04 10:48 EDT by Jaanus J6gisman
Modified: 2008-05-01 11:37 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-11 07:47:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaanus J6gisman 2000-10-04 10:48:22 EDT
The problem is, that some programs (which worked fine on Redhat 6.1) leave 
too many connetcions open to DNS servers.
Some of them are apache, xinetd and one talk server.

netstat -lap shows:

udp        0      0 mail.lap.ttu.ee:2165    mail.lap.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:2164    benjy.cc.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:2157    zaphod.ttu.ee:domain    
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:2156    zaphod.ttu.ee:domain    
ESTABLISHED 14595/httpd         
udp        0      0 mail.lap.ttu.ee:2155    mail.lap.ttu.ee:domain  
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:2154    benjy.cc.ttu.ee:domain  
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:2153    mail.lap.ttu.ee:domain  
ESTABLISHED 14595/httpd         
udp        0      0 mail.lap.ttu.ee:2152    benjy.cc.ttu.ee:domain  
ESTABLISHED 14595/httpd         
udp        0      0 mail.lap.ttu.ee:2149    zaphod.ttu.ee:domain    
ESTABLISHED 14629/httpd         
udp        0      0 mail.lap.ttu.ee:2147    mail.lap.ttu.ee:domain  
ESTABLISHED 14629/httpd         
udp        0      0 mail.lap.ttu.ee:2146    benjy.cc.ttu.ee:domain  
ESTABLISHED 14629/httpd         
udp        0      0 mail.lap.ttu.ee:2141    zaphod.ttu.ee:domain    
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:2140    zaphod.ttu.ee:domain    
ESTABLISHED 14629/httpd         
udp        0      0 mail.lap.ttu.ee:2139    zaphod.ttu.ee:domain    
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:2137    mail.lap.ttu.ee:domain  
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:2136    benjy.cc.ttu.ee:domain  
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:2135    mail.lap.ttu.ee:domain  
ESTABLISHED 14629/httpd         
udp        0      0 mail.lap.ttu.ee:2134    benjy.cc.ttu.ee:domain  
ESTABLISHED 14629/httpd         
udp        0      0 mail.lap.ttu.ee:2133    mail.lap.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:2132    benjy.cc.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:2128    mail.lap.ttu.ee:domain  
ESTABLISHED 14595/httpd         
udp        0      0 mail.lap.ttu.ee:2127    benjy.cc.ttu.ee:domain  
ESTABLISHED 14595/httpd         
udp        0      0 mail.lap.ttu.ee:2126    zaphod.ttu.ee:domain    
ESTABLISHED 14595/httpd         
udp        0      0 mail.lap.ttu.ee:2084    zaphod.ttu.ee:domain    
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:2082    mail.lap.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:2081    benjy.cc.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:2079    zaphod.ttu.ee:domain    
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:2078    mail.lap.ttu.ee:domain  
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:2077    benjy.cc.ttu.ee:domain  
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:2075    zaphod.ttu.ee:domain    
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:2074    mail.lap.ttu.ee:domain  
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:2073    benjy.cc.ttu.ee:domain  
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:1944    zaphod.ttu.ee:domain    
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1834    mail.lap.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1828    benjy.cc.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1800    zaphod.ttu.ee:domain    
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:1791    mail.lap.ttu.ee:domain  
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:1773    benjy.cc.ttu.ee:domain  
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:1705    zaphod.ttu.ee:domain    
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1704    mail.lap.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1701    benjy.cc.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1698    zaphod.ttu.ee:domain    
ESTABLISHED 14629/httpd         
udp        0      0 mail.lap.ttu.ee:1697    mail.lap.ttu.ee:domain  
ESTABLISHED 14629/httpd         
udp        0      0 mail.lap.ttu.ee:1696    benjy.cc.ttu.ee:domain  
ESTABLISHED 14629/httpd         
udp        0      0 mail.lap.ttu.ee:1678    zaphod.ttu.ee:domain    
ESTABLISHED 14595/httpd         
udp        0      0 mail.lap.ttu.ee:1677    mail.lap.ttu.ee:domain  
ESTABLISHED 14595/httpd         
udp        0      0 mail.lap.ttu.ee:1673    benjy.cc.ttu.ee:domain  
ESTABLISHED 14595/httpd         
udp        0      0 mail.lap.ttu.ee:1671    zaphod.ttu.ee:domain    
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1668    mail.lap.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1666    benjy.cc.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1662    zaphod.ttu.ee:domain    
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:1648    mail.lap.ttu.ee:domain  
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.tt:sa-msg-port benjy.cc.ttu.ee:domain  
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:1644    mail.lap.ttu.ee:domain  
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:1631    benjy.cc.ttu.ee:domain  
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:1579    zaphod.ttu.ee:domain    
ESTABLISHED 14605/httpd    
udp        0      0 mail.lap.ttu.ee:1548    mail.lap.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1547    benjy.cc.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1546    zaphod.ttu.ee:domain    
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1533    mail.lap.ttu.ee:domain  
ESTABLISHED 14621/httpd         
udp      112      0 mail.lap.ttu.ee:1532    benjy.cc.ttu.ee:domain  
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:1529    zaphod.ttu.ee:domain    
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:1528    mail.lap.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp      112      0 mail.lap.ttu.ee:1526    benjy.cc.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp      112      0 mail.lap.tt:prospero-np zaphod.ttu.ee:domain    
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1502    mail.lap.ttu.ee:domain  
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:1501    benjy.cc.ttu.ee:domain  
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:1494    zaphod.ttu.ee:domain    
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:1493    mail.lap.ttu.ee:domain  
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:1492    benjy.cc.ttu.ee:domain  
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:1475    zaphod.ttu.ee:domain    
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:1474    mail.lap.ttu.ee:domain  
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:1473    benjy.cc.ttu.ee:domain  
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:1462    zaphod.ttu.ee:domain    
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:1460    mail.lap.ttu.ee:domain  
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:1459    benjy.cc.ttu.ee:domain  
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:1458    zaphod.ttu.ee:domain    
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:1457    mail.lap.ttu.ee:domain  
ESTABLISHED 14595/httpd         
udp        0      0 mail.lap.ttu.ee:1456    benjy.cc.ttu.ee:domain  
ESTABLISHED 14595/httpd         
udp      112      0 mail.lap.ttu.ee:1455    zaphod.ttu.ee:domain    
ESTABLISHED 14595/httpd         
udp        0      0 mail.lap.ttu.ee:1454    mail.lap.ttu.ee:domain  
ESTABLISHED 14629/httpd         
udp      112      0 mail.lap.ttu.ee:1453    benjy.cc.ttu.ee:domain  
ESTABLISHED 14629/httpd         
udp      112      0 mail.lap.ttu.ee:1452    zaphod.ttu.ee:domain    
ESTABLISHED 14629/httpd         
udp        0      0 mail.lap.ttu.ee:1447    mail.lap.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp      112      0 mail.lap.ttu.ee:1446    benjy.cc.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1443    zaphod.ttu.ee:domain    
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1439    mail.lap.ttu.ee:domain  
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:1438    benjy.cc.ttu.ee:domain  
ESTABLISHED 14621/httpd         
udp      112      0 mail.lap.ttu.ee:1437    zaphod.ttu.ee:domain    
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:1436    mail.lap.ttu.ee:domain  
ESTABLISHED 14605/httpd         
udp      112      0 mail.lap.ttu.ee:1434    benjy.cc.ttu.ee:domain  
ESTABLISHED 14605/httpd         
udp      112      0 mail.lap.ttu.ee:1433    zaphod.ttu.ee:domain    
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:1431    mail.lap.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1430    benjy.cc.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1429    zaphod.ttu.ee:domain    
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1428    mail.lap.ttu.ee:domain  
ESTABLISHED 14629/httpd         
udp      112      0 mail.lap.ttu.ee:1427    benjy.cc.ttu.ee:domain  
ESTABLISHED 14629/httpd         
udp        0      0 mail.lap.ttu.ee:1426    zaphod.ttu.ee:domain    
ESTABLISHED 14629/httpd         
udp        0      0 mail.lap.ttu.ee:1425    mail.lap.ttu.ee:domain  
ESTABLISHED 14621/httpd         
udp      112      0 mail.lap.ttu.ee:1424    benjy.cc.ttu.ee:domain  
ESTABLISHED 14621/httpd         
udp      112      0 mail.lap.ttu.ee:1423    zaphod.ttu.ee:domain    
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:1402    mail.lap.ttu.ee:domain  
ESTABLISHED 14621/httpd         
udp      112      0 mail.lap.ttu.ee:1399    benjy.cc.ttu.ee:domain  
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:1396    mail.lap.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1395    benjy.cc.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1394    zaphod.ttu.ee:domain    
ESTABLISHED 14594/httpd         
udp      112      0 mail.lap.ttu.ee:1393    zaphod.ttu.ee:domain    
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:1387    mail.lap.ttu.ee:domain  
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:1386    benjy.cc.ttu.ee:domain  
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:1385    mail.lap.ttu.ee:domain  
ESTABLISHED 14605/httpd         
udp      112      0 mail.lap.ttu.ee:1384    benjy.cc.ttu.ee:domain  
ESTABLISHED 14605/httpd         
udp      112      0 mail.lap.ttu.ee:1383    zaphod.ttu.ee:domain    
ESTABLISHED 14621/httpd         
udp      112      0 mail.lap.ttu.ee:1382    zaphod.ttu.ee:domain    
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:1381    mail.lap.ttu.ee:domain  
ESTABLISHED14595/httpd         
udp      112      0 mail.lap.ttu.ee:1380    benjy.cc.ttu.ee:domain  
ESTABLISHED 14595/httpd         
udp        0      0 mail.lap.ttu.ee:1379    zaphod.ttu.ee:domain    
ESTABLISHED 14595/httpd         
udp        0      0 mail.lap.ttu.ee:1378    mail.lap.ttu.ee:domain  
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:1377    benjy.cc.ttu.ee:domain  
ESTABLISHED 14621/httpd         
udp      112      0 mail.lap.ttu.ee:1376    zaphod.ttu.ee:domain    
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:1372    mail.lap.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1371    benjy.cc.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp      112      0 mail.lap.ttu.ee:1370    zaphod.ttu.ee:domain    
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1369    mail.lap.ttu.ee:domain  
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:1368    benjy.cc.ttu.ee:domain  
ESTABLISHED 14605/httpd         
udp      112      0 mail.lap.ttu.ee:1367    zaphod.ttu.ee:domain    
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:1363    mail.lap.ttu.ee:domain  
ESTABLISHED 14595/httpd         
udp      112      0 mail.lap.ttu.ee:1362    benjy.cc.ttu.ee:domain  
ESTABLISHED 14595/httpd         
udp        0      0 mail.lap.ttu.ee:1361    zaphod.ttu.ee:domain    
ESTABLISHED 14595/httpd         
udp        0      0 mail.lap.ttu.ee:1360    mail.lap.ttu.ee:domain  
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:1359    benjy.cc.ttu.ee:domain  
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:1358    mail.lap.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1357    benjy.cc.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp      112      0 mail.lap.ttu.ee:1356    zaphod.ttu.ee:domain    
ESTABLISHED 14594/httpd         
udp      112      0 mail.lap.ttu.ee:1355    zaphod.ttu.ee:domain    
ESTABLISHED 14621/httpd         
udp        0      0 mail.lap.ttu.ee:1354    mail.lap.ttu.ee:domain  
ESTABLISHED 14595/httpd         
udp        0      0 mail.lap.ttu.ee:1352    benjy.cc.ttu.ee:domain  
ESTABLISHED 14595/httpd         
udp        0      0 mail.lap.ttu.ee:1351    zaphod.ttu.ee:domain    
ESTABLISHED 14595/httpd         
udp        0      0 mail.lap.ttu.ee:1350    mail.lap.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1349    benjy.cc.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp      112      0 mail.lap.ttu.ee:1348    zaphod.ttu.ee:domain    
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1344    mail.lap.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp      112      0 mail.lap.ttu.ee:1343    benjy.cc.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1342    zaphod.ttu.ee:domain    
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1341    mail.lap.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp        0      0 mail.lap.ttu.ee:1340    benjy.cc.ttu.ee:domain  
ESTABLISHED 14594/httpd         
udp      112      0 mail.lap.ttu.ee:1339    zaphod.ttu.ee:domain    
ESTABLISHED 14594/httpd         
udp      112      0 mail.lap.ttu.ee:1337    zaphod.ttu.ee:domain    
ESTABLISHED 14605/httpd         
udp      112      0 mail.lap.ttu.ee:1336    mail.lap.ttu.ee:domain  
ESTABLISHED 14605/httpd         
udp        0      0 mail.lap.ttu.ee:1335    benjy.cc.ttu.ee:domain  
ESTABLISHED 14605/httpd

etc...

mail.lap.ttu.ee, zaphod and benjy are marked as dns servers in network 
configuration.

what's wrong with it? i don't want to restart servers after every fiwe 
minutes to close such big amount of open connections.
Comment 1 John Eckerdal 2000-10-04 17:44:20 EDT
Same problem here: xinet binds to (atleast) 3 ports to domain-name servers
present in resolv.conf (one for each server). Fixed by restarting xinetd.
I think this occured when a remote host without a name assigned to the IP
tried to connect to a service it not had access to (blocked via tcp-wrappers).

I have not noticed the same problem with Apache (talk is not enabled). Apache
is, however, not configured to do a reverse-name lookup.
Comment 2 Jaanus J6gisman 2000-10-04 18:06:32 EDT
in my case apache was configured to perform hostname lookups.
if i disabled it, then it was fine, but that't not solution.

Comment 3 Alan Cox 2000-10-09 19:53:07 EDT
Reassigned to glibc
Comment 4 Jaanus J6gisman 2000-10-12 18:38:51 EDT
is it possible to fix this problem?
i hoped that the patch for glibc fixes it, but it didn't help.
Comment 5 Jakub Jelinek 2000-10-13 17:37:38 EDT
Sure, if I'll be able to reproduce it. So far I have enabled hostname
lookups in Apache and could not see any excessive connections to
nameservers. One open connection per nameserver is nothing bad
if the application (see man gethostbyname), but the netstat output
with those httpd connections does not look too healthy.
Can you see it e.g. if no DNS server is running on the local machine
(and all DNS lookups go to remote nameservers)?
Comment 6 Jaanus J6gisman 2000-10-15 15:21:29 EDT
i disabled local nameserver, but it removed only connections to local
nameserver...
i think that these connection are left open, if an connection to some service
(apache, xinetd, ...) is made from a machine which name can not be looked up.
there were 3 dns servers in resolv.conf
now i removed 2 remote ones and need to wait until some server without a name
makes a connection...

is it possible to close a connection without restarting a program that made this
connection?





Comment 7 John Eckerdal 2000-11-15 05:50:41 EST
This happened to me again.
Had atleast 6 established connections to all nameservers in resolv.conf.
Apache is not set to do reverse namelookups. xinetd does however do reverse
namelookups. Restarting xinetd removes the established connections.

The established connections only happen when xinetd can't resolve the
connecting hostname. Here I have only seen this happen when the connecting
host does not have a name in any DNS.
Also calling nslookup to lookup the host does not leave any ports in
established mode (even when nslookup is running).
The system is running glibc-2.1.94-3 and a 2.2.17 kernel (not RedHat compiled).
Comment 8 Jakub Jelinek 2001-01-11 07:45:52 EST
I've been able to reproduce this finally and fixed it recently in glibc.
It will appear in the next glibc errata.
Comment 9 Jakub Jelinek 2001-01-11 07:47:13 EST
*** Bug 23712 has been marked as a duplicate of this bug. ***
Comment 10 Jakub Jelinek 2001-01-11 17:50:16 EST
I believe glibc-2.2-12 fixes this, if not, please reopen.
Comment 11 Jakub Jelinek 2001-02-12 04:40:37 EST
*** Bug 24790 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.